Package com.sas.services.information.metadata

# Class SubscriberDeliveryTransports

java.lang.Object
com.sas.services.information.metadata.SubscriberDeliveryTransports

public class SubscriberDeliveryTransports extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DELIVERY_TRANSPORT_CODE_EMAIL`
  Subscription delivery transport code: EMail
  `static final String`
  `DELIVERY_TRANSPORT_CODE_HTTP`
  Subscription delivery transport code: HTTP
  `static final String`
  `DELIVERY_TRANSPORT_CODE_NONE`
  Subscription delivery transport code: None
  `static final String`
  `DELIVERY_TRANSPORT_CODE_QUEUE`
  Subscription delivery transport code: Queue
  `static final String`
  `DELIVERY_TRANSPORT_CODE_WEBDAV`
  Subscription delivery transport code: WebDAV
  `static final int`
  `SUBSCRIPTION_TYPE_CONTENT`
  Subscription type: content
  `static final int`
  `SUBSCRIPTION_TYPE_EVENT`
  Subscription type: event

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscriberDeliveryTransports()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `getDefaultDeliveryTransportCode(int subscriptionType)`
  Gets the code for the default delivery transport for the specified subscription type.
  `static final String`
  `getDeliveryTransportCode(int subscriptionType, int index)`
  Gets the delivery transport code for the specified subscription type and transport index.
  `static final String`
  `getDeliveryTransportResource(int subscriptionType, String deliveryTransportCode)`
  Gets a localized string representing the specified delivery transport code for the specified subscription type.
  `static final String[]`
  `getLocalizedDeliveryTransports(int subscriptionType)`
  Gets an array of localized strings representing the valid delivery transports for the specified subscription type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SUBSCRIPTION_TYPE_CONTENT

    public static final int SUBSCRIPTION_TYPE_CONTENT
    Subscription type: content
    See Also:
      - Constant Field Values

  - ### SUBSCRIPTION_TYPE_EVENT

    public static final int SUBSCRIPTION_TYPE_EVENT
    Subscription type: event
    See Also:
      - Constant Field Values

  - ### DELIVERY_TRANSPORT_CODE_EMAIL

    public static final String DELIVERY_TRANSPORT_CODE_EMAIL
    Subscription delivery transport code: EMail
    See Also:
      - Constant Field Values

  - ### DELIVERY_TRANSPORT_CODE_HTTP

    public static final String DELIVERY_TRANSPORT_CODE_HTTP
    Subscription delivery transport code: HTTP
    See Also:
      - Constant Field Values

  - ### DELIVERY_TRANSPORT_CODE_NONE

    public static final String DELIVERY_TRANSPORT_CODE_NONE
    Subscription delivery transport code: None
    See Also:
      - Constant Field Values

  - ### DELIVERY_TRANSPORT_CODE_QUEUE

    public static final String DELIVERY_TRANSPORT_CODE_QUEUE
    Subscription delivery transport code: Queue
    See Also:
      - Constant Field Values

  - ### DELIVERY_TRANSPORT_CODE_WEBDAV

    public static final String DELIVERY_TRANSPORT_CODE_WEBDAV
    Subscription delivery transport code: WebDAV
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SubscriberDeliveryTransports

    public SubscriberDeliveryTransports()

- ## Method Details

  - ### getLocalizedDeliveryTransports

    public static final String[] getLocalizedDeliveryTransports(int subscriptionType)
    Gets an array of localized strings representing the valid delivery transports for the specified subscription type.
    Parameters:
      `subscriptionType` - The subscription type. One of `SUBSCRIPTION_TYPE_EVENT` or `SUBSCRIPTION_TYPE_CONTENT`.
    Returns:
      Array of localized strings representing the delivery transports.

  - ### getDeliveryTransportCode

    public static final String getDeliveryTransportCode(int subscriptionType, int index)
    Gets the delivery transport code for the specified subscription type and transport index.
    Parameters:
      `subscriptionType` - The subscription type. One of `SUBSCRIPTION_TYPE_EVENT` or `SUBSCRIPTION_TYPE_CONTENT`.
      `index` - Zero-based index to the desired transport type.
    Returns:
      String Code suitable for use in persisting the delivery transport type preference to the information repository.

  - ### getDefaultDeliveryTransportCode

    public static final String getDefaultDeliveryTransportCode(int subscriptionType)
    Gets the code for the default delivery transport for the specified subscription type.
    Parameters:
      `subscriptionType` - The subscription type. One of `SUBSCRIPTION_TYPE_EVENT` or `SUBSCRIPTION_TYPE_CONTENT`.
    Returns:
      String

  - ### getDeliveryTransportResource

    public static final String getDeliveryTransportResource(int subscriptionType, String deliveryTransportCode)
    Gets a localized string representing the specified delivery transport code for the specified subscription type.
    Parameters:
      `subscriptionType` - The subscription type. One of `SUBSCRIPTION_TYPE_EVENT` or `SUBSCRIPTION_TYPE_CONTENT`.
      `deliveryTransportCode` - Code representing a valid delivery transport. Valid delivery transport codes for content subscription delivery are:
      - `DELIVERY_TRANSPORT_CODE_NONE`
      - `DELIVERY_TRANSPORT_CODE_QUEUE`
      - `DELIVERY_TRANSPORT_CODE_WEBDAV`
      - `DELIVERY_TRANSPORT_CODE_EMAIL`
      Valid delivery transport codes for event subscription delivery are:
      - `DELIVERY_TRANSPORT_CODE_NONE`
      - `DELIVERY_TRANSPORT_CODE_QUEUE`
      - `DELIVERY_TRANSPORT_CODE_HTTP`
    Returns:
      Localized resource suitable for representing the delivery transport in a user interface.